#include <bits/stdc++.h>

using namespace std;

int main()
{
    string a,b,szam="";
    cin>>a;
    cin>>b;
    reverse(a.begin(), a.end());
    reverse(b.begin(), b.end());
    int l = min(a.size(), b.size());

    for(int i =0; i <l; i++){
      if(a[i] > b[i]){szam = szam + a[i];}
      if(a[i] < b[i]){szam = szam + b[i];}
      if(a[i] == b[i]){szam = szam + a[i]; szam = szam + a[i];}
    }
     for(int i = l; i<a.size(); i++){
        szam = szam + a[i];
     }
     for(int i = l; i<b.size(); i++){
        szam = szam + b[i];
     }


    reverse(szam.begin(), szam.end());
    cout<<szam;

}